Bug 729562 - Bug.update() xmlrpc can't remove the value of "deadline" field
Summary: Bug.update() xmlrpc can't remove the value of "deadline" field
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Bugzilla
Classification: Community
Component: WebService
Version: 3.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 723052
TreeView+ depends on / blocked
 
Reported: 2011-08-10 07:46 UTC by Tony Fu
Modified: 2013-07-31 04:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-21 02:26:21 UTC


Attachments (Terms of Use)

Description Tony Fu 2011-08-10 07:46:07 UTC
Description of problem:


I can use Bug.update() xmlrpc call to add/update a deadline value, but once the value has been set, the Bug.update() can't remove it.


How reproducible:


Steps to Reproduce:
1. Set a valid date in "deadline" field
2. Write a script which uses Bug.update() xmrrpc call to set "deadline" to ""(empty string)

here is an example
my %data;
my %update_data;
$data{"ids"} = [$bug_id];
$update_data{"deadline"} = '';
$data{"updates"} = \%update_data;

$call=$bz_rpc->call('Bug.update', \%data);
    if ($call->fault) {
        my $fault_string = $call->faultstring;
        die "bz xmlrpc call failed: $fault_string ";
    }

  
Actual results:
the value of deadline field is not changed.

Expected results:
the deadline field should be empty


Additional info:
I know perl DBI treats "" as NULL, but I have tried to set $update_date{"deadline"} to other possible empty values ('null', '0000-00-00', undef etc), they won't work either.

Comment 2 Kevin Baker 2011-08-11 17:16:47 UTC
Is this a bug with upstream bz? Can you submit it there too please. We strongly prefer not to alter the upstream routines.

Comment 3 Simon Green 2012-05-21 02:26:21 UTC
Should be fixed with Bugzilla 4.2. Let me know if it isn't.

  -- simon


Note You need to log in before you can comment on or make changes to this bug.